#!/bin/bash
#
source t_header.sh
#
#GPIO
printf "Running subsystem test: GPIO...\n"
#Check if we can access GPIO
if [ ! -d "/sys/class/gpio/gpiochip0/" ]
then
    printf "Error: Unable to access GPIO\n"
else
    printf "Found Timberdale GPIO peripheral\n"
    #Check if gpio15 is already initialized, if not we initialize it
    #GPIO0->   GPIO
    #GPI0100-> Port Expander
    #GPIO200-> HS/LS
    if [ ! -d "/sys/class/gpio/gpio15" ]
    then
	echo 15 > /sys/class/gpio/export
    fi
    sleep 1
    echo out > /sys/class/gpio/gpio15/direction
    printf "Setting GPIO15 to 0...\n"
    sleep 1
    echo 0 > /sys/class/gpio/gpio15/value
    value=$(cat /sys/class/gpio/gpio15/value)
    #Write a value and read it back
    if [ $value = 1 ]
    then
	printf "Error: GPIO15 did not read back as 0\n"
    else
	printf "Successfully read back 0 from GPIO15\n"
	sleep 1
	echo 1 > /sys/class/gpio/gpio15/value
	printf "Setting GPIO15 to 1...\n"
	sleep 1
	echo 1 > /sys/class/gpio/gpio15/value
	value=$(cat /sys/class/gpio/gpio15/value)
	if [ $value = 1 ]
	then
	    printf "Successfully read back 1 from GPIO15\n"
	    printf "GPIO test successful\n"
	else
	    printf "Error: GPIO15 did not read back as 1\n"
	fi
    fi
fi
#
source t_footer.sh
#
# the end
