#
#
source t_header.sh
#
#Infineon BT
printf "Running subsystem test 11: Infineon BT... \n"
printf "Note: This test should fail if your hardware is configured for CSR BT\n"
#
if [ ! -c "/dev/ttyTU0" ]
then
    printf "ERROR: No BT UART port found"
else
    printf "Testing HCI communication with Infineon chip..."
	./hciattach_timb -s 115200 ttyTU0 timb-unistone >&/dev/null 
    hcitool scan
    sleep 1
    killall hciattach_timb >&/dev/null
fi
#
printf "Press ENTER to continue..."
read
printf "\n"
#
#CSR BT
printf "Running subsystem test 12: CSR BT... \n"
printf "Note: This test should fail if your hardware is configured for Infineon BT\n"
if [ ! -c "/dev/ttyTU0" ]
then
    printf "ERROR: No BT UART port found"
else
    if [ -d "/sys/class/gpio/gpio15" ]
    then
	echo out > /sys/class/gpio/gpio15/direction >&/dev/null
	printf "Toggling CSR reset pin...\n"
	echo 0 > /sys/class/gpio/gpio15/value >&/dev/null
	sleep 1
	echo 1 > /sys/class/gpio/gpio15/value >&/dev/null
	printf "CSR reset complete\n"
    fi
    printf "Testing HCI communication with CSR chip..."
    ./bccmd -t HCI -d -dev-ttyTU0 rand
    sleep 1
    ./bccmd -t HCI -d -dev-ttyTU0 rand
fi
#
source t_footer.sh
#
# the end
