#!/bin/bash
#
source t_header.sh
#
#SPI
printf "Running subsystem test : SPI...\n"
printf "Testing Port Expander...\n"
#
#Check if we can access it
#
if [ ! -d "/sys/class/gpio/gpiochip200/" ]
then
    printf "Error: Unable to access Port Expander\n" 
else
    printf "Found Port Expander GPIO device\n"

    if [ ! -d "/sys/class/gpio/gpio200" ]
    then
	echo 200 > /sys/class/gpio/export
    fi

    sleep 1
    echo out > /sys/class/gpio/gpio200/direction

    printf "Setting Port Expander output P4 to 1 (Pin 3 on header J5)...\n"
    sleep 1

    echo 0 > /sys/class/gpio/gpio200/value
    value=$(cat /sys/class/gpio/gpio200/value)
#
#Write a value and read it back
#
    if [ $value = 1 ]
    then
	printf "Error: Output did not read back as 0\n"
    else
	printf "Successfully read back 0\n"
	sleep 1
	echo 1 > /sys/class/gpio/gpio200/value
	printf "Setting Port Expander output P4 to 1 (Pin 3 on header J5)...\n"
	sleep 1
	echo 1 > /sys/class/gpio/gpio200/value
	value=$(cat /sys/class/gpio/gpio200/value)
	if [ $value = 1 ]
	then
	    printf "Successfully read back 1\n"
	    printf "Port Expander test successful\n"
	else
	    printf "Error: Did not read back as 1\n"
	fi
    fi
fi
#
source t_footer.sh
#
# the end
