#!/bin/bash
#
source t_header.sh
#
printf "Testing HS/LS switch..\n"
#
#Check if we can access it
if [ ! -d "/sys/class/gpio/gpiochip100/" ]
then
    printf "Error: Unable to access HS/LS switch\n"
else
    printf "Found HS/LS GPIO device\n"
    if [ ! -d "/sys/class/gpio/gpio100" ]
    then
	echo 100 > /sys/class/gpio/export
    fi
    sleep 1
    echo out > /sys/class/gpio/gpio100/direction
    printf "Driving HS/LS pin S1 to 12V...\n"
    sleep 1
    echo 0 > /sys/class/gpio/gpio100/value
    
    #Ask user to check value
    printf "Measure output, it should be at 12V level\n"
    printf "Press ENTER to continue testing once correct output level has been verified...\n"
    read
    printf "Sinking HS/LS pin D1 output to GND...\n"
    sleep 1
    echo 1 > /sys/class/gpio/gpio100/value
    printf "Measure output, it should be at GND level\n"
    printf "Press ENTER to continue testing once correct output level has been verified...\n"
    read
    printf "HS/LS test completed\n"
fi
#
source t_footer.sh
#
# the end
