#!/bin/bash
#
source t_header.sh
#
#I2C
printf "Running subsystem test 3: I2C...\n"
#
/sbin/modprobe i2c-dev 
#
if [ "./i2cdetect -y -l 2>/dev/null | grep xiic-i2c" = "" ]
then
    printf "ERROR: Xilinx I2C device not found"
else
    sleep 1
    printf "Found Xilinx I2C device\n"
    i2cbus=$(./i2cdetect -y -l 2>/dev/null | grep xiic-i2c | awk '{print $1}')
    bus=$( echo $i2cbus | sed -e "s/^....\(.*\)$/\1/g")
    printf "Scanning I2C bus...\n"
    sleep 1
    ./i2cdetect -y $bus
fi
#
source t_footer.sh
#
# the end
