#!/bin/bash
#
source t_header.sh
#HDA
printf "Running subsystem test 4: HDA... \n"
#
if [ ! -c "/dev/snd/pcmC0D1p" ]
then
    if [ ! -c "/dev/snd/pcmC1D1p" ]
    then	
	printf "ERROR: No audio devices (/dev/snd/pcmC0D1p or /dev/snd/pcmC1D1p) found! \n"
	printf "Make sure HDA is enabled in BIOS \n" 
    else
	if [ ! -f "/usr/lib/libXxf86dga.so.1" ]
	then
	    printf "Error: Missing library libXxf86dga, required to run mplayer! \n"
	    sleep 1
	    printf "Attempting to install from local source..."
	    yum --nogpgcheck install libXxf86dga-1.0.2-9.30.moblin2.i586.rpm
	    sleep 3
	else
	    printf ""
	fi
	printf "Using /dev/snd/pcmC1D1p \n";
    fi
else
    if [ ! -f "/usr/lib/libXxf86dga.so.1" ]
    then
	printf "Error: Missing library libXxf86dga, required to run mplayer\n"
	sleep 1
	printf "Attempting to install from local source..."
	yum --nogpgcheck install libXxf86dga-1.0.2-9.30.moblin2.i586.rpm
	sleep 3
    else
	printf ""
    fi
    printf "Using /dev/snd/pcmC0D1p \n";
fi

printf "Starting mplayer to play audio..\n"
./mplayer test_audio.ogg &
sleep 4
printf "Killing mplayer...\n"
killall -9 mplayer
sleep 1
printf "\n"
#
source t_footer.sh
#
# the end
