#!/bin/bash
#
source t_header.sh
#
#I2S
printf "Running subsystem test 6: I2S radio recording and playback...\n"
if [ -c "/dev/snd/pcmC0D1p" ]
then
    if [ ! -c "/dev/snd/pcmC1D2c" ]
    then
	printf "Error: Unable to access I2S device\n"
    else
	printf "Found Timberdale I2S device\n"
	if [ ! -c "/dev/radio0" ]
	then
	    printf "Error: Unable to access radio, no sound source available to test I2S\n"
	else
	    sleep 1
	    ./testradio 999
	    printf "Recording 5s of sound from radio tuner...\n"
	    arecord test.wav -c 2 -f S16_LE -r 44100 -M -D hw:1,2 & 
	    sleep 5
	    ./testradio 999 m >&/dev/null
	    killall -9 arecord
	    sleep 1
	    if [ ! -f "/usr/lib/libXxf86dga.so.1" ]
	    then
		printf "Error: Missing library libXxf86dga, required to run mplayer\n"
		sleep 1
		printf "Attempting to install from local source..."
		yum --nogpgcheck install libXxf86dga-1.0.2-9.30.moblin2.i586.rpm
		sleep 3
	    else
		printf ""
	    fi	    
	    printf "Playing back recorded file...\n"
	    ./mplayer test.wav & 
	    sleep 5
	    killall -9 ./mplayer
	fi
    fi
else
    if [ ! -c "/dev/snd/pcmC0D2c" ]
    then
	printf "Error: Unable to access I2S device\n"
    else
	printf "Found Timberdale I2S device\n"
	if [ ! -c "/dev/radio0" ]
	then
	    printf "Error: Unable to access radio, no sound source available to test I2S\n"
	else
	    sleep 1
	    ./testradio
	    printf "Recording 5s of sound from radio tuner...\n"
	    arecord test.wav -c 2 -f S16_LE -r 44100 -M -D hw:0,2 & 
	    sleep 5
	    killall -9 arecord
	    sleep 1
	    printf "Playing back recorded file...\n"
	    if [ ! -f "/usr/lib/libXxf86dga.so.1" ]
	    then
		printf "Error: Missing library libXxf86dga, required to run mplayer\n"
		sleep 1
		printf "Attempting to install from local source..."
		yum --nogpgcheck install libXxf86dga-1.0.2-9.30.moblin2.i586.rpm
		sleep 3
	    else
		printf ""
	    fi	    
	    ./mplayer test.wav & 
	    sleep 5
	    killall -9 ./mplayer
	fi
    fi
fi
printf "\n";
#
source t_footer.sh
#
# the end
