#
#
source t_header.sh
#
#Inand
printf "Running subsystem test 7: Inand...\n"
printf "Remove any SD cards and press ENTER\n"
read
#
umount /dev/mmcblk0p1 inand 2>/dev/null
umount /dev/mmcblk0 inand 2>/dev/null
printf "SD cards unmounted, test continues...\n"
#
#See if device exists
if [ ! -b "/dev/mmcblk0p1" ]
then
    if [ ! -b "/dev/mmcblk0" ]
    then	
	sd1=/dev/mmcblk0p1
	sd2=/dev/mmcblk0
	printf "Error: Unable to access Inand\n"
	printf "Inand test failed\n"
    else
    	sd1=/dev/mmcblk1p1
	sd2=/dev/mmcblk1
	mkdir inand 2>/dev/null
	mount /dev/mmcblk0 inand 2>/dev/null
	cp testfile inand/testfile
	sync
	rm -f newfile >/dev/null
	sync
	cp inand/testfile newfile
	sync
	checksum1=$(md5sum newfile | awk '{print $1}')
	checksum2=$(md5sum testfile| awk '{print $1}')
	if [ $checksum1 = $checksum2 ]
	then
	    printf "Test file CRC correct\n"
	    printf "INAND test successful\n"
	else 
	    printf "CRC failure\n"
	fi	
    fi
else
    sd1=/dev/mmcblk1p1
    sd2=/dev/mmcblk1
    mkdir inand 2>/dev/null
    mount /dev/mmcblk0p1 inand 2>/dev/null
    cp testfile inand/testfile
    sync
    rm newfile >/dev/null
    sync
    cp inand/testfile newfile
    sync
    checksum1=$(md5sum newfile | awk '{print $1}')
    checksum2=$(md5sum testfile| awk '{print $1}')
    
    if [ $checksum1 = $checksum2 ]
    then
	printf "Test file CRC correct\n"
	printf "iNAND SDHC test successful\n"
    else 
	printf "iNAND CRC failure!\n"
    fi
fi
#
#
umount inand 2>/dev/null
rm -rf inand 2>/dev/null
sleep 1
#
printf "Please insert an SD card into the slot closest to the mid of the board and press ENTER...\n"
read
if [ ! -b $sd1 ]
then
    if [ ! -b $sd2 ]
    then
	printf "Error: Unable to access SD card\n"
    else
	printf "Found SD card\n"
	printf "Testing write and read...\n"
	sleep 1
	mkdir sdhc 2>/dev/null
	umount $s2d 2>/dev/null
	mount $sd2 sdhc
	cp testfile sdhc/testfile
	sync
	rm newfile 2>/dev/null 
	sync
	cp sdhc/testfile newfile
	sync
	checksum1=$(md5sum newfile | awk '{print $1}')
	checksum2=$(md5sum testfile| awk '{print $1}')
	
	if [ $checksum1 = $checksum2 ]
	then
	    printf "Test file CRC correct\n"
	    printf "SD slot 1 test successful\n"
	else 
	    printf "CRC failure\n"
	fi
    fi
else
    printf "Found SD card...\n"
    printf "Testing write and read...\n"
    sleep 1
    mkdir sdhc 2>/dev/null
    umount $sd1 2>/dev/null
    mount $sd1 sdhc
    cp testfile sdhc/testfile
    sync
    rm newfile 2>/dev/null 
    sync
    cp sdhc/testfile newfile
    sync
    checksum1=$(md5sum newfile | awk '{print $1}')
    checksum2=$(md5sum testfile| awk '{print $1}')
    
    if [ $checksum1 = $checksum2 ]
    then
	printf "Test file CRC correct\n"
	printf "SD slot 1 test successful\n"
    else 
	printf "CRC failure\n"
    fi
fi

umount sdhc 2>/dev/null
rm -rf sdhc 2>/dev/null
sleep 1
#
#SD Route
printf "Please remove the previously inserted SD card \n"
printf "and insert an SD card into the slot closest to the edge of the board \n"
printf "and press ENTER...\n"
#
read
if [ ! -b $sd1 ]
then
    if [ ! -b $sd2 ]
    then
	printf "Error: Unable to access SD card\n"
    else
	printf "Found SD card\n"
	printf "Testing write and read...\n"
	sleep 1
	mkdir sd-route 2>/dev/null
	mount $sd2 sd-route
	cp testfile sd-route/testfile
	sync
	rm newfile 2>/dev/null 
	sync
	cp sd-route/testfile newfile
	sync
	checksum1=$(md5sum newfile | awk '{print $1}')
	checksum2=$(md5sum testfile| awk '{print $1}')
	if [ $checksum1 = $checksum2 ]
	then 
	    printf "Test file CRC correct\n"
	    printf "SD slot 2 test successful\n"
	else 
	    printf "CRC failure\n"
	fi
    fi
else
    printf "Found SD card\n"
    printf "Testing write and read...\n"
    sleep 1
    mkdir sd-route 2>/dev/null
    mount $sd1 sd-route
    cp testfile sd-route/testfile
    sync
    rm newfile 2>/dev/null 
    sync
    cp sd-route/testfile newfile
    sync
    checksum1=$(md5sum newfile | awk '{print $1}')
    checksum2=$(md5sum testfile| awk '{print $1}')
    
    if [ $checksum1 = $checksum2 ]
    then
	printf "Test file CRC correct\n"
	printf "SD slot 2 test successful\n"
    else 
	printf "CRC failure\n"
    fi
fi
umount sd-route 2>/dev/null
rm -rf sd-route 2>/dev/null
#
sleep 1
#
source t_footer.sh
#
# the end
